<template>
  <div class="app-container">
   <el-row :gutter="5">
     <el-col :span="6">
       <el-card shadow="hover">
         工位编号:OP1010
       </el-card>
     </el-col>
     <el-col :span="6">
       <el-card shadow="hover">
         工位名称:贴标机-贴码
       </el-card>
     </el-col>
     <el-col :span="6">
       <el-card shadow="hover">
         总成编码:1000000000000001
       </el-card>
     </el-col>
     <el-col :span="6">
       <el-card shadow="hover">
         鼠标悬浮时显示
       </el-card>
     </el-col>
   </el-row>
   <el-row :gutter="5" style="margin-top: 5px">
     <el-col :span="6" >
       <el-card class="bottom-card">
         <div slot="header" class="clearfix">
           <span>当前工件信息</span>
         </div>
         <el-descriptions :column="1" border>
           <el-descriptions-item>
             <template slot="label">
               <i class="el-icon-user"></i>
               <span>总成编号</span>
             </template>
             kooriookami
           </el-descriptions-item>
           <el-descriptions-item>
             <template slot="label">
               <i class="el-icon-mobile-phone"></i>
               手机号
             </template>
             18100000000
           </el-descriptions-item>
           <el-descriptions-item>
             <template slot="label">
               <i class="el-icon-location-outline"></i>
               居住地
             </template>
             苏州市
           </el-descriptions-item>
           <el-descriptions-item>
             <template slot="label">
               <i class="el-icon-tickets"></i>
               备注
             </template>
             <el-tag size="small">学校</el-tag>
           </el-descriptions-item>
           <el-descriptions-item>
             <template slot="label">
               <i class="el-icon-office-building"></i>
               联系地址
             </template>
             江苏省苏州市吴中区吴中大道 1188 号
           </el-descriptions-item>
         </el-descriptions>
         <el-divider></el-divider>
         <el-row>
           <el-col :span="12">
             <el-button class="circle-button" circle></el-button>
             <span>OPC心跳</span>
           </el-col>
           <el-col :span="12">
             <el-button class="circle-button" circle></el-button>
             <span>扫码枪状态</span>
           </el-col>
         </el-row>
         <el-row style="margin-top: 20px">
           <el-col :span="12">
             <el-button class="circle-button" circle></el-button>
             <span>工件到位</span>
           </el-col>
           <el-col :span="12">
             <el-button class="circle-button" circle></el-button>
             <span>扫码完成</span>
           </el-col>
         </el-row>
         <el-row style="margin-top: 20px">
           <el-col :span="12">
             <el-button class="circle-button" circle></el-button>
             <span>开始作业</span>
           </el-col>
           <el-col :span="12">
             <el-button class="circle-button" circle></el-button>
             <span>允许放行</span>
           </el-col>
         </el-row>
       </el-card>

     </el-col>
     <el-col :span="18">
       <el-tabs type="border-card"  style="height: 600px">
         <el-tab-pane>
           <span slot="label"> <a class="el-icon-date"></a>首页</span>
           <el-col :span="8">
             <el-table>
               <el-table-column label="序号" align="center" prop="repairIdentification" width="60px"/>
               <el-table-column label="操作内容" align="center" prop="boxCode"  width="320px"/>
             </el-table>
           </el-col>
           <el-col :span="16">
             <el-image style="height: 520px;width: 100%" :src="imgSrc"></el-image>
           </el-col>
         </el-tab-pane>
         <el-tab-pane>
           <span slot="label"> <b class="el-icon-date"></b>物料BOM</span>
           <el-empty >
             <span slot="description">暂无数据</span>
           </el-empty>
         </el-tab-pane>
         <el-tab-pane>
           <span slot="label"> <c class="el-icon-date"></c>采集清单</span>
           <el-empty >
             <span slot="description">暂无数据</span>
           </el-empty>
         </el-tab-pane>
         <el-tab-pane>
           <span slot="label"> <d class="el-icon-date"></d>安灯状态</span>
           <el-empty >
             <span slot="description">暂无数据</span>
           </el-empty>
         </el-tab-pane>
         <el-tab-pane>
           <span slot="label"> <e class="el-icon-date"></e>工艺配方</span>
           <el-empty >
             <span slot="description">暂无数据</span>
           </el-empty>
         </el-tab-pane>
       </el-tabs>
     </el-col>
   </el-row>


  </div>
</template>
<script>
export default {
  components: {},
  props: [],
  data() {
    return {
      imgSrc: '',
    }
  },
  computed: {},
  watch: {},
  created() {},
  mounted() {},
  methods: {}
}

</script>
<style scoped>
.bottom-card{
  height: 600px;
}
.circle-button{
  height: 40px;
  width: 40px;
  background-color: #ce0b0b;
}
</style>
